using APT.Infrastructure.Core;
using System.ComponentModel;
using APT.Infrastructure.Utility;
namespace APT.BaseData.Domain.Entities.BD
{
    [Description("WORD模板维护")]
    [Redis("", "ID", "CODE")]
    public partial class T_BD_WORD_TEMPLATE : MesEntityBase
    {
        [CUnique]
        [DataFieldLength(30)]
        [Description("编码")]
        [FormFieldTable]
        [FormFieldEdit]
        public string CODE { get; set; }

        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string NAME { get; set; }

        [Description("返回类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        public string RET_ENTITY_TYPE { get; set; }

        [Description("返回数据接口")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(100)]
        public string DATA_API { get; set; }

        [Description("备注")]
        [DataFieldLength(300)]
        [FormFieldEdit]
        public string REMARK { get; set; }
    }
}
